Bug 395241 - Feedback to the usability of Transifex (incl. community member statement)
Feedback to the usability of Transifex (incl. community member statement)
Status: CLOSED NEXTRELEASE
Product: Fedora Localization
Classification: Fedora
Component: Website (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Dimitris Glezos
Diego Búrigo Zacarão
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 01:12 EST by Timo Trinks
Modified: 2008-01-31 19:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 19:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timo Trinks 2007-11-22 01:12:35 EST
* Upload via Transifex has been successful
(https://publictest5.fedora.redhat.com/submit/module/system-config-printer),
however changes/updates are not reflected in online statistics
(http://translate.fedoraproject.org/module/system-config-printer)(after 24 hours)

* A direct link to the Webpage that offers the downloadable po-file (e.g. 
http://translate.fedoraproject.org/module/system-config-printer) available on
the Transifex Submit page (for example
https://publictest5.fedora.redhat.com/submit/module/system-config-printer) would
make finding a respective po-file much easier for potential translators

* The variety of different repositories, VCSs, etc. as well as an unclear or too
complex structure on fedoraproject.org confuses community members and puts them
off to contribute eventually. I'm quoting a member from the .de community (Lukas
 Brausch) who posted the following on Wed, 21 Nov 2007 13:27:09 +0100 (CET):

OV:

"[...] Desweiteren muss ich gestehen, dass ich nun vollends nicht mehr
durchblicke was nun wo übersetzt wird. Elvis,Fedora-CVS und Transifex
überschneiden sich einfach in viel zu vielen Bereichen meiner Meinung nach,
sodass es nicht nur Einsteigern unnötig erschwert wird Anhaltspunkte zu finden.
Anhand der Mitteilungen einiger anderer Übersetzer (auch auf der offiziellen
Liste) kann ich feststellen, dass mittlerweile niemand mehr so richtig zu wissen
scheint wo welche Dokumente übersetzt werden. Auch die "Translator-Guides" im
Wiki helfen da nicht so recht weiter. [...]"

Translation:

"[...] Furthermore I must admit, that I've completely lost track now, where to
translate what. Elivs,Fedora-CVS and Transifex simply overlap in too many areas
in my opinion which makes it hard not only to beginners to find any clues. Based
on the comments of several other translators (as well on the official list) I
can determine that right now noone really knows where to translate which
documents. The "Translator-Guides" in the Wiki are not much of a help as well.
[...]"
Comment 1 Dimitris Glezos 2008-01-31 19:55:49 EST
Let's see if we can tackle these and fix them!

1) (stats not updating): This doesn't seem to have occured in the past few
months, besides having to wait until the next cron job to see the changes on the
stats (max 8 hours, currently). Added to /wiki/L10N/Plans to configure stats to
be updated LIVE with each VCS commit.

2) DUP of bug #381521, fixed and will go live at the next package update.

3) What's hosted where: Various happenings have helped to greatly improve this.
The addition of all modules on Transifex (even cvs.fpo hosted ones like Docs),
the 2nd point fixed above, the updating of the Translation Quick Start Guide,
the upcoming Elvis move, the development of the CLI. We're all ears for anything
we can further improve.

I feel confident enough to close this bug report, especially with the fix of
point 2, and considering our concrete roadmap laid out on the Plans page to
continue working on enhancing our processes.

Closing report. Feel free to reopen if there are more ideas on how to improve
things. Suggestions/Wishes could also go on /wiki/L10N/Tools/Plans.

Note You need to log in before you can comment on or make changes to this bug.